#!/usr/bin/env python
import vtk
import wrapping

# create VTK objects
mapper = vtk.vtkPolyDataMapper()
actor = vtk.vtkActor()
renderer = vtk.vtkRenderer()
renderWindow = vtk.vtkRenderWindow()
interactor = vtk.vtkRenderWindowInteractor()

# get a VTK cone from C++
cone = wrapping.CreateCone()           # C++ -> Python
# modify it from Python
cone.SetResolution( 20 )

# pass a VTK Python object to C++
wrapping.ChangeActorColor( actor )     # Python -> C++

# build the visualization pipeline and watch
mapper.SetInput( cone.GetOutput() )
actor.SetMapper( mapper )
renderer.AddActor( actor )
renderWindow.AddRenderer( renderer )
interactor.SetRenderWindow( renderWindow )

interactor.Initialize()
interactor.Start()
