#include "wrapping.h"
#include <vtkConeSource.h>
#include <vtkActor.h>
#include <vtkProperty.h>

PyObject * CreateCone()
{
    // create a VTK object from C++
    vtkConeSource * cone = vtkConeSource::New();

    // convert the C++ vtkConeSource object to a Python object
    return vtkPythonGetObjectFromPointer( cone );
}

void ChangeActorColor( PyObject * Cone )
{
    // try to extract a C++ vtkActor object from the Python object
    vtkActor * actor = (vtkActor*)vtkPythonGetPointerFromObject(
        Cone,
        "vtkActor" );

    if ( actor == 0 ) // if the PyObject is not a vtk.vtkActor object
    {
        // This line will cause Python to print an error message
        // see Python.h for more details
        PyErr_SetString( PyExc_TypeError,
                         "Not a vtkActor" );
    }
    else
    {
        // success : change color to red
        actor->GetProperty()->SetColor( 1, 0, 0 );
    }
}
